> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.iot.telia.lt/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.iot.telia.lt/_mcp/server.

# Get operator blocklist for a specific tariff profile

GET https://iot.telia.lt/api/v2/tariff_profile/{tariff_profile_id}/operator_blocklist/operator/{operator_id}

Retrieve blocklist details for an operator within a specific tariff profile


Reference: https://docs.iot.telia.lt/developers/api/tariff-profiles/tariff-profile-operator-block-operator-by-id-get

## Authentication

- `Authorization` header (bearer token, required) — An `auth_token` should be provided to authenticate a session. To obtain an `auth_token`, see the [`/api/v1/authenticate` **POST** request](/developers/api/authentication/authenticate).

## Request

### Path parameters

- `tariff_profile_id` (double, required) — tariff profile ID
- `operator_id` (double, required) — operator ID

## Response

### 200

Successfully retrieved operator blocklist details

- `operator` (ApiV2TariffProfileTariffProfileIdOperatorBlocklistOperatorOperatorIdGetResponsesContentApplicationJsonSchemaOperator, optional)
- `tariff_profile` (ApiV2TariffProfileTariffProfileIdOperatorBlocklistOperatorOperatorIdGetResponsesContentApplicationJsonSchemaTariffProfile, optional)
- `blocklist` (ApiV2TariffProfileTariffProfileIdOperatorBlocklistOperatorOperatorIdGetResponsesContentApplicationJsonSchemaBlocklist, optional)

## Errors

### 403 Forbidden Error

Your role doesn't include the permission this endpoint requires. Most endpoints return `error_code`, `error_token`, and `message`. Some return only `status_code` and `message`.

- `error_code` (integer, optional)
- `error_token` (string, optional)
- `status_code` (integer, optional)
- `message` (string, optional)

## Types

### ApiV2TariffProfileTariffProfileIdOperatorBlocklistOperatorOperatorIdGetResponsesContentApplicationJsonSchemaOperator

- `id` (integer, optional)
- `name` (string, optional)

### ApiV2TariffProfileTariffProfileIdOperatorBlocklistOperatorOperatorIdGetResponsesContentApplicationJsonSchemaTariffProfile

- `id` (integer, optional)

### ApiV2TariffProfileTariffProfileIdOperatorBlocklistOperatorOperatorIdGetResponsesContentApplicationJsonSchemaBlocklist

- `operator` (boolean, optional) — Will return true if the operator is blocked completely
- `rat_types` (list of ApiV2TariffProfileTariffProfileIdOperatorBlocklistOperatorOperatorIdGetResponsesContentApplicationJsonSchemaBlocklistRatTypesItems, optional)

### ApiV2TariffProfileTariffProfileIdOperatorBlocklistOperatorOperatorIdGetResponsesContentApplicationJsonSchemaBlocklistRatTypesItems

- `id` (integer, optional)
- `description` (string, optional)

## Examples

**Response**

```json
{
  "operator": {
    "id": 2,
    "name": "Telekom"
  },
  "tariff_profile": {
    "id": 456
  },
  "blocklist": {
    "operator": true,
    "rat_types": [
      {
        "id": 1,
        "description": "3G"
      },
      {
        "id": 2,
        "description": "2G"
      }
    ]
  }
}
```

**SDK Code**

```python Operator Blocklist
import requests

url = "https://iot.telia.lt/api/v2/tariff_profile/1.1/operator_blocklist/operator/1.1"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Operator Blocklist
const url = 'https://iot.telia.lt/api/v2/tariff_profile/1.1/operator_blocklist/operator/1.1';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Operator Blocklist
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://iot.telia.lt/api/v2/tariff_profile/1.1/operator_blocklist/operator/1.1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Operator Blocklist
require 'uri'
require 'net/http'

url = URI("https://iot.telia.lt/api/v2/tariff_profile/1.1/operator_blocklist/operator/1.1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Operator Blocklist
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://iot.telia.lt/api/v2/tariff_profile/1.1/operator_blocklist/operator/1.1")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Operator Blocklist
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://iot.telia.lt/api/v2/tariff_profile/1.1/operator_blocklist/operator/1.1', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Operator Blocklist
using RestSharp;

var client = new RestClient("https://iot.telia.lt/api/v2/tariff_profile/1.1/operator_blocklist/operator/1.1");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Operator Blocklist
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://iot.telia.lt/api/v2/tariff_profile/1.1/operator_blocklist/operator/1.1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```